import { Component, OnInit, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';

export interface EditGroupDialogData {
  title: string;
  message?: string;
}

export interface EditGroupDialogResult {
  choice: boolean;
}

@Component({
  selector: 'app-layout-messenger-edit-group',
  templateUrl: './edit-group.dialog.component.html',
  styleUrls: ['./edit-group.dialog.component.scss']
})
export class EditGroupDialogComponent implements OnInit {
  constructor(
    public dialogRef: MatDialogRef<EditGroupDialogData, EditGroupDialogResult>,
    @Inject(MAT_DIALOG_DATA) public data: EditGroupDialogData
  ) {}

  ngOnInit(): void {}

  onClickChoice(choice: boolean): void {
    this.dialogRef.close({
      choice
    });
  }
}
